package cn.estsh.i3plus.pojo.andon.sqlpack;

import cn.estsh.i3plus.pojo.andon.bean.AndonPLC;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import org.apache.commons.lang3.StringUtils;

/**
 * @Description : 安灯对象查询封装
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2019-05-10 10:45
 * @Modify:
 **/
public class AndonHqlPack {
    /**
     * 封装公用查询参数
     *
     * @param bean   实体对象
     * @param hqlStr 查询语句
     * @return 封装完成的查询语句
     */
    public static DdlPackBean getStringBuilderPack(BaseBean bean, DdlPackBean hqlStr) {

        // 判断工厂代码是否为空
        if (StringUtils.isNotBlank(bean.getOrganizeCode())) {
            DdlPreparedPack.getStringEqualPack(bean.getOrganizeCode(), "organizeCode", hqlStr);
        }

        // 封装有效状态和删除状态
        DdlPreparedPack.getNumEqualPack(bean.getIsValid(), "isValid", hqlStr);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), "isDeleted", hqlStr);

        return hqlStr;
    }

    /**
     * 按灯PLC查询条件
     *
     * @param andonPLC plc实体
     * @return
     */
    public static DdlPackBean packHqlAndonPLCInfo(AndonPLC andonPLC) {
        DdlPackBean result = new DdlPackBean();

        //查询参数封装
        DdlPreparedPack.getStringEqualPack(andonPLC.getWorkCellCode(), "workCenterCode", result);
        DdlPreparedPack.getStringEqualPack(andonPLC.getWorkCellCode(), "workCellCode", result);
        DdlPreparedPack.getStringEqualPack(andonPLC.getNodeIP(), "nodeIP", result);
        DdlPreparedPack.getStringEqualPack(andonPLC.getChannelName(), "channelName", result);
        DdlPreparedPack.getStringEqualPack(andonPLC.getTagName(), "tagName", result);
        DdlPreparedPack.getStringEqualPack(andonPLC.getTagAddress(), "tagAddress", result);
        DdlPreparedPack.getStringEqualPack(andonPLC.getTagType(), "tagType", result);
        DdlPreparedPack.getStringEqualPack(andonPLC.getAlarmCode(), "alarmCode", result);

        getStringBuilderPack(andonPLC, result);
        return result;
    }
}
